<div class="oj-flex">
  <oj-toolbar id="oj-toolbar-for-oj-table-1302077427-1" chroming="full" class="oj-flex-item oj-sm-12 oj-md-12">
    <oj-button on-oj-action="[[$page.listeners.createProductLovBOButtonClicked]]">Create</oj-button>
    <oj-button disabled="[[ $page.variables.oj_table_1302077427_1SelectedId === '' ]]" on-oj-action="[[$page.listeners.editProductLovBOButtonClicked]]">Edit</oj-button>
    <oj-button disabled="[[ $page.variables.oj_table_1302077427_1SelectedId === '' ]]" on-oj-action="[[$page.listeners.productLovBODetailButtonClicked]]">Detail</oj-button>
    <oj-button disabled="[[ $page.variables.oj_table_1302077427_1SelectedId === '' ]]" on-oj-action="[[$page.listeners.deleteProductLovBOButtonClicked]]">Delete</oj-button>
  </oj-toolbar>
</div>
<div class="oj-flex">
  <oj-table scroll-policy="loadMoreOnScroll" class="oj-flex-item oj-sm-12 oj-md-12" data="[[$page.variables.productLovBOListSDP]]" columns='[{"headerText":"Id","field":"id"},{"headerText":"Product Name","field":"productName"},{"headerText":"Description","field":"description"},{"headerText":"Product Type","field":"productTypeDesc"},{"headerText":"Created By","field":"createdBy"},{"headerText":"Created","field":"creationDate"},{"headerText":"Last Updated By","field":"lastUpdatedBy"},{"headerText":"Last Updated","field":"lastUpdateDate"}]' id="oj-table-1302077427-1" selection-mode.row="single" selection-mode.column="single" on-first-selected-row-changed="[[ $page.listeners.oj_table_1302077427_1SelectionChanged ]]"></oj-table>
</div>
